﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using KinectTD.Agents;
namespace KinectTD.Towers
{
    class FireTower : Tower
    {

        public FireTower(Vector2 towerPosition, Texture2D towerTexture, Texture2D radiusTexture, List<Enemy> enemyList, Texture2D bulletTexture)
            : base(towerPosition, towerTexture, radiusTexture, enemyList, bulletTexture)
        {
            cost = 50;
            rangeRadius = 200;
            TowerType = BULLET_TYPE.FIRE;
        }

        public override void Update(GameTime gameTime)
        {
            //throw new NotImplementedException();
            base.Update(gameTime);
        }
    }
}
