﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using KinectTD.Agents;
namespace KinectTD.Towers
{
    class SuperTower : Tower
    {

        public SuperTower(Vector2 towerPosition, Texture2D towerTexture, Texture2D radiusTexture, List<Enemy> enemyList, Texture2D bulletTexture)
            : base(towerPosition, towerTexture, radiusTexture, enemyList, bulletTexture)
        {
            rangeRadius = 150;
           
            cost = 3000;
            shootSpeed = 0.8f;
            damage = 12f;
            TowerType = BULLET_TYPE.SUPER;
        }

        public override void Update(GameTime gameTime)
        {
            //throw new NotImplementedException();
            base.Update(gameTime);
        }
    }
}
