﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using KinectTD.Agents;
namespace KinectTD.Towers
{
    class WaterTower : Tower
    {

        public WaterTower(Vector2 towerPosition, Texture2D towerTexture, Texture2D radiusTexture, List<Enemy> enemyList, Texture2D bulletTexture)
            : base(towerPosition, towerTexture, radiusTexture, enemyList, bulletTexture)
        {
            cost = 200;
            rangeRadius = 300;
            TowerType = BULLET_TYPE.WATER;
        }

    }
}
