﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;

namespace KinectTD.UI
{
    public class Header : Control
    {
        private string headerText;
        private SpriteFont headerFont;
        private string fontName;



        public Header(string text, string fontName) : base()
        {
            headerText = text;
            this.fontName = fontName;

        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.DrawString(headerFont, headerText, position, colour);
        }

        public override void LoadContent(Microsoft.Xna.Framework.Content.ContentManager Content)
        {
            headerFont = Content.Load<SpriteFont>(fontName);
        }
    }
}
